Bug 756171 - The UI does not have a way to see the template from which a drift definition is derived
The UI does not have a way to see the template from which a drift definition ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
All All
medium Severity high (vote)
: ---
: JON 3.0.0,RHQ 4.3.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: jon30-sprint9
  Show dependency treegraph
 
Reported: 2011-11-22 16:09 EST by Jay Shaughnessy
Modified: 2012-02-07 14:22 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:22:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2011-11-22 16:09:15 EST
The UI has no way of showing which template a drift definition is
derived from.  This makes it impossible to know what affects
pinning and unpinning will have, as well as which definitions
will be affected by changes at the template level.
Comment 1 Jay Shaughnessy 2011-11-22 16:18:02 EST
There are a few aspects to the solution, one of which is critical for
an initial release.

First, it should be possible to see the definitions attached to a template 
from the template view. An expandable row would probably work well here.
This will allow the user to see which definitions will be affected by
a template update.

Second (critical), it should be possible to see which template a
definition is derived from, in the definitions view.  This gives at least
some exposure to the template.  And allows a user to know what attaching
and detaching will do.

Third, it would be nice if the wizard, when pinning a template, could
provide a summary of the definitions that will be reset (the attached
defs) when the pinning takes place.

Minimally, this BZ should solve #2, and secondary bzs could be filed for
the others.
Comment 2 Jay Shaughnessy 2011-11-22 16:33:47 EST
master commit bbb3015a3d7f7cbf8238853e262c64cf1740d381

Add template and attached info to the definitions view.  This implements
#2 of the three proposed enhancements and should be enough for the
first release.  It adds two new columns, "Attached?" and "Template",
which indicate whether the definition is attached or not,and to what
template. Note that detached definitions still have an associated template,
and may be re-attached.

Users with manage_settings can link to the template, for others the field
is not a link.

Given a lack of real-estate, the interval and drift handling columns have
been removed from the list row, and are now viewable only from the edit
view.
Comment 3 Jay Shaughnessy 2011-11-22 16:48:17 EST
I opened a new Bug 756184 for more work on the template-definition
handling suggestions above.  This bz only covers option #2 from this
point on.
Comment 4 John Mazzitelli 2011-11-23 16:02:11 EST
i confirm this is in master build. moving to ON_DEV for jay to push to release branch
Comment 5 Jay Shaughnessy 2011-11-28 09:14:17 EST
release_jon3.x commit ccbfb587d5a232840ca2ca368ea6b130375e6049

Moving back to on_qa for release branch
Comment 6 Mike Foley 2011-11-29 11:58:30 EST
verified
Comment 7 Mike Foley 2012-02-07 14:22:00 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.